
U++ - Bug #1763

Deleting or adding (the second option should be checked) macro should refresh ide internal macro 

list

07/03/2017 01:32 PM - Zbigniew Rebacz

Status: Approved Start date: 07/03/2017

Priority: Normal Due date:

Assignee: Zbigniew Rebacz % Done: 0%

Category: IDE - MacroManager Estimated time: 0.00 hour

Target version: Release 2017.2 - NTH Spent time: 0.00 hour

Description

The IDE interface must be refresh. The situation where macro is presented in TheIDE, but is not physically presented in the file is

unacceptable.

The main problem to solve is how to refresh ide when adding new macros to edited .usc file.

History

#1 - 07/03/2017 01:33 PM - Zbigniew Rebacz

- Category changed from IDE to IDE - MacroManager

#2 - 08/08/2017 02:56 PM - Zbigniew Rebacz

- Status changed from New to Ready for QA

- Assignee changed from Zbigniew Rebacz to Abdelghani Omari

#3 - 08/08/2017 02:57 PM - Zbigniew Rebacz

Omari - please check - I pushed to trunk changes that refresh internal ide macro state - today (08.08.2017).

#4 - 08/17/2017 03:52 PM - Abdelghani Omari

- Status changed from Ready for QA to Approved

- Assignee changed from Abdelghani Omari to Zbigniew Rebacz

checking that the Macro Menu is refreshed when a macro is added or deleted : Test OK.

04/26/2025 1/1


